using System;

namespace Assets.Source.Core.Impacting
{
    public abstract class ImpactableModel<T>
    {
        public T Owner { get; }

        protected ImpactableModel(T owner)
        {
            Owner = owner;
        }

        public virtual void TakeImpact(Impact impact, Action callback) { }

        public virtual void Reset() { }
    }
}